i2o_dma_free
Prev | I2O message devices | Next

## Name

i2o_dma_free — Free DMA memory

## Synopsis

`void i2o_dma_free (` | struct device * | dev,
| struct i2o_dma * | addr`)`;

## Arguments

`dev`

  struct device pointer to the PCI device of the I2O controller

`addr`

  i2o_dma struct which contains the DMA buffer

## Description

Free a coherent DMA memory and set virtual address of addr to NULL.

Prev | Up | Next
i2o_dma_alloc | Home | i2o_dma_realloc